From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/sxcs/
Date: Wed, 17 Jan 2024 15:56:52 +0000 (UTC) [thread overview]
Message-ID: <1705507003.ea39d69a350024e71fb4db352b051a5f197259f7.flow@gentoo> (raw)
commit: ea39d69a350024e71fb4db352b051a5f197259f7
Author: Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 17 15:52:17 2024 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jan 17 15:56:43 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea39d69a
x11-misc/sxcs: new package, add 0.7.3
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
x11-misc/sxcs/Manifest | 1 +
x11-misc/sxcs/metadata.xml | 15 +++++++++++++++
x11-misc/sxcs/sxcs-0.7.3.ebuild | 32 ++++++++++++++++++++++++++++++++
3 files changed, 48 insertions(+)
diff --git a/x11-misc/sxcs/Manifest b/x11-misc/sxcs/Manifest
new file mode 100644
index 000000000000..6d12abc7b27b
--- /dev/null
+++ b/x11-misc/sxcs/Manifest
@@ -0,0 +1 @@
+DIST sxcs-0.7.3.tar.gz 22204 BLAKE2B 04bb29188c89622dd2bc348dbc334963a807691ce6fda2f6a6eafedc860be5855d614aeab801dd6cba916dae67a5af92d37317420a04345f1aa8d9203cc44510 SHA512 dbd11ecae74e7a50a346efd0d919952cdd138ebcf75a369888c9f889fcc2752923152b07bcec5f7d4f259672e3af11762d88d9a0b7fe37342f9f5880ecd724ec
diff --git a/x11-misc/sxcs/metadata.xml b/x11-misc/sxcs/metadata.xml
new file mode 100644
index 000000000000..5ed3aa71f526
--- /dev/null
+++ b/x11-misc/sxcs/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>nrk@disroot.org</email>
+ <name>NRK</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="codeberg">NRK/sxcs</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-misc/sxcs/sxcs-0.7.3.ebuild b/x11-misc/sxcs/sxcs-0.7.3.ebuild
new file mode 100644
index 000000000000..0ffac067fd37
--- /dev/null
+++ b/x11-misc/sxcs/sxcs-0.7.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Color picker and magnifier for X11"
+HOMEPAGE="https://codeberg.org/NRK/sxcs"
+
+SRC_URI="https://codeberg.org/NRK/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+KEYWORDS="~amd64"
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+ x11-libs/libX11
+ x11-libs/libXcursor
+"
+DEPEND="${RDEPEND}"
+
+src_compile() {
+ $(tc-getCC) -o sxcs sxcs.c ${CFLAGS} ${LDFLAGS} -l X11 -l Xcursor || die "Compilation failed"
+}
+
+src_install() {
+ dobin sxcs
+ doman sxcs.1
+ dodoc README.md
+}
next reply other threads:[~2024-01-17 15:56 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-17 15:56 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-21 16:22 [gentoo-commits] repo/gentoo:master commit in: x11-misc/sxcs/ Florian Schmaus
2024-02-21 23:33 Yixun Lan
2024-06-08 7:46 Florian Schmaus
2024-06-08 7:46 Florian Schmaus
2024-11-08 10:26 Florian Schmaus
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1705507003.ea39d69a350024e71fb4db352b051a5f197259f7.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox